# Python

ParaSwap's Python SDK V1 currently handles ParaSwap limit orders.

## Install

```
python3 setup.py build
python3 setup.py install # may need privilege authorization
```

## Run examples

You need to add the previous variables inside a .env file to run our examples.

PK1 and PK2 are two EVM-compatible secret keys that will be used to sign orders.

```
PK1=
PK2=

RPC_HTTP_1=
RPC_HTTP_3=
RPC_HTTP_10=
RPC_HTTP_56=
RPC_HTTP_137=
RPC_HTTP_250=
RPC_HTTP_42161=
RPC_HTTP_43114=
```

## Examples:

```
everything in ./examples/
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.velora.xyz/api/augustusrfq/sdk/python.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
